---
schema_version: "1"
id: 7e3d6156d02393a121a96f51c609e297d8ae97a5f8c7fca6c22102f74ab78674
title: LoadDataOptions | @tableau/taco-toolkit - v2.1.0
collection: tableau
version: current
locale: en-us
portal_url: https://docs.salesforce.com/tableau/current/en-us/api/webdataconnector/reference/interfaces/handlers.LoadDataOptions.md
canonical_url: https://help.tableau.com/current/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html
source_site: help.tableau.com
content_type: documentation
content_hash: 3798ac0d2a17af3243a69a246568f67abd9e608ca5b698c8f263b22520024cf6
description: Documentation for @tableau/taco-toolkit
---
- [@tableau/taco-toolkit](https://help.tableau.com/current/api/webdataconnector/en-us/reference/index.html)
- [handlers](https://help.tableau.com/current/api/webdataconnector/en-us/reference/modules/handlers.html)
- [LoadDataOptions](https://help.tableau.com/current/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html)

# Interface LoadDataOptions

#### Hierarchy

- RequestOptions
    - LoadDataOptions
        - [LoadCsvDataOptions](https://help.tableau.com/current/api/webdataconnector/en-us/reference/interfaces/handlers.LoadCsvDataOptions.html)

##### Index

### Properties

[body?](https://help.tableau.com/current/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#body) [headers?](https://help.tableau.com/current/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#headers) [method?](https://help.tableau.com/current/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#method) [query?](https://help.tableau.com/current/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#query)

## Properties

### `Optional` body[](#body)

body?: string | object

### `Optional` headers[](#headers)

headers?: Record<string, string\>

Overrides RequestOptions.headers

### `Optional` method[](#method)

method?: "GET" | "POST"

### `Optional` query[](#query)

query?: Record<string, unknown\>

Query params. An object with key-value pair.

The object will be serialized as query string and appended to the url.

Inherited from RequestOptions.query

### Settings

#### Member Visibility

- Inherited

#### Theme

OSLightDark

### On This Page

- [body](#body)
- [headers](#headers)
- [method](#method)
- [query](#query)

Generated using [TypeDoc](https://typedoc.org/)